## python-python-anticaptcha 1.0.0

=== Makefile ===
CHROMEDRIVER_VERSION=99.0.4844.17
CHROMEDRIVER_DIR=${PWD}/geckodriver

.PHONY: lint fmt build docs install test gecko

build:
	python setup.py sdist bdist_wheel

install: install_test install_docs install_pkg
	
install_test:
	pip install .[tests]

install_docs:
	pip install .[docs]

install_pkg:
	python -m pip install --upgrade pip wheel
	pip install .

gecko:
	mkdir -p ${CHROMEDRIVER_DIR}
	wget -q -P ${CHROMEDRIVER_DIR} "http://chromedriver.storage.googleapis.com/${CHROMEDRIVER_VERSION}/chromedriver_linux64.zip"
	unzip ${CHROMEDRIVER_DIR}/chromedriver* -d ${CHROMEDRIVER_DIR}
	rm ${CHROMEDRIVER_DIR}/chromedriver_linux64.zip

test:
	PATH=$$PWD/geckodriver:$$PATH nose2 --verbose

clean:
	rm -r build geckodriver

lint:
	docker run --rm -v /$$(pwd):/apps alpine/flake8 ./
	docker run --rm -v /$$(pwd):/data cytopia/black --check ./

fmt:
	docker run --rm -v /$$(pwd):/data cytopia/black ./

docs:
	sphinx-build -W docs /dev/shm/sphinx

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = python-anticaptcha
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-python-anticaptcha (1.0.0-0kali2) kali-dev; urgency=medium

  [ Steev Klimaszewski ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Sophie Brun ]
  * Remove useless build-dep python3-pip

  [ Arnaud Rebillout ]
  * Drop 'Rules-Requires-Root: no' from d/control
  * Use importlib instead of pkg_resources

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 11 Nov 2025 08:47:37 +0700

python-python-anticaptcha (1.0.0-0kali1) kali-dev; urgency=medium

  * Initial release
  * Add CI/CD config

 -- Steev Klimaszewski <steev@kali.org>  Tue, 25 Oct 2022 13:31:05 -0500

=== debian/control ===
Source: python-python-anticaptcha
Section: python
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders:
 Steev Klimaszewski <steev@kali.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-nose2,
 python3-requests,
 python3-retrying,
 python3-selenium,
 python3-setuptools,
 python3-setuptools-scm,
 python3-six,
 python3-sphinx,
 python3-wheel,
Standards-Version: 4.6.1.0
Homepage: https://github.com/ad-m/python-anticaptcha
Vcs-Browser: https://gitlab.com/kalilinux/packages/python-anticaptcha
Vcs-Git: https://gitlab.com/kalilinux/packages/python-anticaptcha.git
Testsuite: autopkgtest-pkg-python

Package: python3-python-anticaptcha
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-python-anticaptcha-docs,
Description: Python client library to solve captchas
 A Python client library to solve captchas with anticaptcha.com support
 The library is cyclically and automatically tested for proper operation
 .
 This package installs the library for Python 3.

Package: python-python-anticaptcha-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Documentation for the Python library python_anticaptcha
 HTML documentation for the python_anticaptcha Python client library
 .

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=python_anticaptcha

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build:
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ build/html # HTML generator

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-anticaptcha-$1.tar.gz%" \
   https://github.com/ad-m/python-anticaptcha/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
